
Redmine - Defect #10608

1.3.2:  An error occurred while sending mail (getaddrinfo: Name or service not known)

2012-04-05 18:53 - Iñaki Baz Castillo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.2

Description

This seems to be a very classic error that never occurred to me in previous versions of Redmine.

Redmine 1.3.2.

configuration.yml:

production:

  email_delivery:

    delivery_method: :sendmail

Same configuration (but using email.yml instead) works in other Redmine installations in the same server (but previous versions).

When sending a testing mail I get:

An error occurred while sending mail (getaddrinfo: Name or service not known)

 Honestly I don't know what more to check, all is correct IMHO. Any tip please?

History

#1 - 2012-04-07 13:08 - Iñaki Baz Castillo

- Status changed from New to Resolved

Ok, fixed. The "problem" was the content of the configuration.yml copied from configuration.yml.example:

At the top it contains:

production:

  email_delivery:

    delivery_method: :sendmail

 But at the bottom it overrides such "production" key:

# specific configuration options for production environment

# that overrides the default ones

production:

 And since such a "production" key contains no value, "default" settings ("smtp.example.net") are taken, so fail.

Once such a line is commented the problem goes away.

NOTE: I suggest making more clear the configuration.yml file to avoid this problem.

#2 - 2013-05-08 12:21 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Iñaki Baz Castillo wrote:
NOTE: I suggest making more clear the configuration.yml file to avoid this problem.

 Description or patch is welcome.
